Description

If a user changes the name of the default organization (e.g. SEED_ORGANIZATION=myorg) and then runs 'rake db:seed', the seed

will fail.  It appears that the seed needs to set a current user in order to support creating the organization.

The error will look similar to:

$ rake db:seed

[deprecated] I18n.enforce_available_locales will default to true in the future. If you really want

 to skip validation of your locale you can set I18n.enforce_available_locales = false to avoid thi

s message.

Seeding /home/bbucking/github/foreman/db/seeds.d/03-auth_sources.rb

Seeding /home/bbucking/github/foreman/db/seeds.d/04-admin.rb

Seeding /home/bbucking/github/foreman/db/seeds.d/05-taxonomies.rb

rake aborted!

NoMethodError: undefined method `admin' for nil:NilClass

/home/bbucking/github/foreman/app/models/taxonomy.rb:154:in `assign_taxonomy_to_user'

/home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/activesupport-3.2.18/lib/active_support/cal

lbacks.rb:439:in `_run__793302873426636606__create__1603672517052670112__callbacks'

/home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/activesupport-3.2.18/lib/active_support/cal

lbacks.rb:405:in `__run_callback'

Related issues:

Related to Foreman - Bug #5029: Cannot specify initial Organization or Locati... Closed 04/02/2014

Associated revisions

Revision 57b6f858 - 08/07/2014 04:21 AM - Eric Helms

Fixes #6891: Taxonomies couldn't be seeded after initial run of seeds.

On a clean run of seeds, a seed prior to the taxonomies sets User.current.

On subsequent runs, errors are thrown since User.current is not thrown

and taxonomy creation expects this.

History

#1 - 08/01/2014 02:14 PM - Brad Buckingham

Note: by changing organization, I mean they are go in to the UI and rename it after the initial seeding is performed.

e.g

initial name=myorg

rename to name=myneworg

re-run the seed

#2 - 08/01/2014 04:44 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.5
- Pull request https://github.com/theforeman/foreman/pull/1645 added

- Pull request deleted ()

#3 - 08/04/2014 03:07 AM - Dominic Cleal

- Assignee set to Eric Helms

#4 - 08/04/2014 03:07 AM - Dominic Cleal

- Related to Bug #5029: Cannot specify initial Organization or Location via Katello installer added

#5 - 08/07/2014 04:19 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#6 - 08/07/2014 05:01 AM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 57b6f858530ed9863d4e52238b7ebd1722d79333.
